=== debian/changelog ===
libbpp-phyl (2.3.1-10) unstable; urgency=medium

  [ Julien Dutheil ]
  * Does not override debian cxx flags anymore.

  [ Andreas Tille ]
  * Rebuild with gcc-7
    Closes: #871085
  * Standards-Version: 4.0.1
  * Fix d-shlibs override

 -- Andreas Tille <tille@debian.org>  Wed, 23 Aug 2017 23:32:26 +0200

libbpp-phyl (2.3.1-9) unstable; urgency=medium

  * Further increased time out limit for unit tests.
    Closes: 866365

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 17 Jul 2017 09:24:23 +0200

libbpp-phyl (2.3.1-8) unstable; urgency=medium

  * another try to have test_likelihood_clock pass on mips architecture.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 16 Jul 2017 10:43:18 +0200

libbpp-phyl (2.3.1-7) unstable; urgency=medium

  * Some tests redesign.
    Should hopefully make test_mapping more stable, and have
    test_likelihood_clock pass on mips architecture

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sat, 15 Jul 2017 22:48:50 +0200

libbpp-phyl (2.3.1-6) unstable; urgency=medium

  [ Julien Dutheil ]
  * remove some deprecation warnings which might lead to timeouts in tests

  [ Andreas Tille ]
  * Remove postinst, postrm and prerm

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jul 2017 14:20:59 +0200

libbpp-phyl (2.3.1-5) unstable; urgency=medium

  * Fix build time issues for remaining architectures
    Closes: #865552

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2017 11:16:14 +0200

libbpp-phyl (2.3.1-4) unstable; urgency=medium

  * Relax timeout for tests.
    Dealswith: #865552
  * d-shlibs (>= 0.80) contains needed override

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2017 12:39:58 +0200

libbpp-phyl (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
  * debhelper 10
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Jun 2017 09:10:34 +0200

libbpp-phyl (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 08:03:24 +0200

libbpp-phyl (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 16:39:48 +0200
