=== debian/changelog ===
libbpp-phyl (2.4.0-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream update.
  * Reduced execution time of test_likelihood_nh
    Closes: #890136
  * Added symbol list (only for amd64)

  [ Andreas Tille ]
  * Versioned Build-Depends: d-shlibs (>= 0.82)
  * d/rules: Drop unneeded override for d-shlibmove
  * Provide full license text of CeCILL license
  * Point Vcs fields to salsa.debian.org

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Fri, 06 Apr 2018 07:53:20 +0200

libbpp-phyl (2.3.2-2) unstable; urgency=medium

  * Fixed covariant return type on 32bits arch.
    Closes: #889953

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Fri, 09 Feb 2018 09:10:11 +0200

libbpp-phyl (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * Standards-Version: 4.1.2

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 05 Feb 2018 20:59:41 +0200
