=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
-               d-shlibs (>= 0.80),
-               libbpp-seq-dev (>= 2.3.1)
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-phyl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-phyl.git
+               d-shlibs (>= 0.82),
+               libbpp-seq-dev (>= 2.4.0)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-phyl
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-phyl.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: libbpp-phyl-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-phyl11 (= ${binary:Version}),
+Depends: libbpp-phyl12 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-seq-dev (>= 2.3.1)
+         libbpp-seq-dev (>= 2.4.0)
 Description: Bio++ Phylogenetic library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -29,13 +29,13 @@
  This package contains the static library and the header files of the
  Bio++ classes for phylogenetics.
 
-Package: libbpp-phyl11
+Package: libbpp-phyl12
 Architecture: any
+Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Bio++ Phylogenetic library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
