=== debian/changelog ===
libbpp-phyl (2.4.1-9.1ubuntu3) noble; urgency=medium

  * No-change rebuild against libbpp-core4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:28:24 +0000

libbpp-phyl (2.4.1-9.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:51:43 +0000

libbpp-phyl (2.4.1-9.1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build without LTO on s390x and arm64 as this causes misbehavior that
      breaks bppsuite.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Mar 2024 13:25:35 +0100

libbpp-phyl (2.4.1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062234

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 15:12:22 +0000

libbpp-phyl (2.4.1-9ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Build without LTO on s390x and arm64 as this causes misbehavior that
      breaks bppsuite.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2023 09:25:36 -0800

libbpp-phyl (2.4.1-9) unstable; urgency=medium

  * Team upload.
  * d/*.symbols*: mark some gcc specific symbols as optional. (Closes: #1037718)
  * Standards-Version: 4.6.2 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 12:13:20 +0200

libbpp-phyl (2.4.1-8ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build without LTO on s390x and arm64 as this causes misbehavior that
      breaks bppsuite.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 19:33:52 -0800

libbpp-phyl (2.4.1-8) unstable; urgency=medium

  * Fix watch file
  * Update symbols

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 18:45:56 +0100

libbpp-phyl (2.4.1-7ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build without LTO on s390x and arm64 as this causes misbehavior that
      breaks bppsuite.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 08:31:20 -0700

libbpp-phyl (2.4.1-7) unstable; urgency=medium

  * Team upload.
  * d/libbpp-phyl12.symbols.amd64: mark compiler specific symbols optional.
    (Closes: #1012968)
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Jul 2022 20:52:45 +0200

libbpp-phyl (2.4.1-6ubuntu1) kinetic; urgency=medium

  * Build without LTO on s390x and arm64 as this causes misbehavior that
    breaks bppsuite.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jul 2022 15:44:53 +0000

libbpp-phyl (2.4.1-6) unstable; urgency=medium

  * Fix symbols again
    Closes: #997444

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 14:08:45 +0100

libbpp-phyl (2.4.1-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Update symbols to gcc 11
    Closes: #984089

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 20:23:09 +0200

libbpp-phyl (2.4.1-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Fix day-of-week for changelog entry 2.0.3-1.
  * Update symbols for gcc-10
    Closes: #957425

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 11:44:02 +0200

libbpp-phyl (2.4.1-3) unstable; urgency=medium

  [ Julien Dutheil ]
  * Remove test that causes random failures

  [ Andreas Tille ]
  * Adapt symbols to new gcc version
    Closes: #925732
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 18:13:57 +0200

libbpp-phyl (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * libbpp-phyl-dev: Multi-Arch: same & add missing ${devlibs:Depends}
  * Remove trailing whitespace in debian/copyright
  * Standards-Version: 4.3.0

  [ Andreas Tille ]
  * Adapt symbols to new gcc version
    Closes: #923457
  * More sensible way to provide symbols amd64 only

 -- Andreas Tille <tille@debian.org>  Fri, 01 Mar 2019 15:52:37 +0100

libbpp-phyl (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream update.
    Closes: #906478

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 19 Aug 2018 21:36:23 +0200

libbpp-phyl (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Increases likelihood test tolerance.

  [ Andreas Tille ]
  * Standards-Version: 4.1.4

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 30 Apr 2018 16:58:46 +0200
