=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: libbpp-phyl
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.82),
-               libbpp-seq-dev (>= 2.4.0)
-Standards-Version: 4.1.3
+               d-shlibs (>= 0.106~),
+               libbpp-seq-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libbpp-phyl
 Vcs-Git: https://salsa.debian.org/med-team/libbpp-phyl.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
+Rules-Requires-Root: no
 
 Package: libbpp-phyl-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libbpp-phyl12 (= ${binary:Version}),
+Depends: libbpp-phyl12t64 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-seq-dev (>= 2.4.0)
+         ${devlibs:Depends},
+         libbpp-seq-dev
 Description: Bio++ Phylogenetic library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -29,7 +33,10 @@
  This package contains the static library and the header files of the
  Bio++ classes for phylogenetics.
 
-Package: libbpp-phyl12
+Package: libbpp-phyl12t64
+Provides: ${t64:Provides}
+Replaces: libbpp-phyl12
+Conflicts: libbpp-phyl12 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
